function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path, Circle } from 'svgs'; // internal imports

var AtSign = function AtSign(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-at-sign"
  }, props.style), React.createElement(Circle, {
    cx: 12,
    cy: 12,
    r: 4
  }), React.createElement(Path, {
    d: "M16 12v1a3 3 0 0 0 6 0v-1a10 10 0 1 0-3.92 7.94"
  }));
};

export default AtSign;