function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path } from 'svgs'; // internal imports

var CheckCircle = function CheckCircle(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-check-circle"
  }, props.style), React.createElement(Path, {
    d: "M22 11.07V12a10 10 0 1 1-5.93-9.14"
  }), React.createElement(Path, {
    d: "M23 3L12 14l-3-3"
  }));
};

export default CheckCircle;