function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path, Circle } from 'svgs'; // internal imports

var Chrome = function Chrome(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-chrome"
  }, props.style), React.createElement(Circle, {
    cx: 12,
    cy: 12,
    r: 10
  }), React.createElement(Circle, {
    cx: 12,
    cy: 12,
    r: 4
  }), React.createElement(Path, {
    d: "M21.17 8H12M3.95 6.06L8.54 14M10.88 21.94L15.46 14"
  }));
};

export default Chrome;