function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path } from 'svgs'; // internal imports

var Codepen = function Codepen(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-codepen"
  }, props.style), React.createElement(Path, {
    d: "M12 2l10 6.5v7L12 22 2 15.5v-7L12 2zM12 22v-6.5"
  }), React.createElement(Path, {
    d: "M22 8.5l-10 7-10-7"
  }), React.createElement(Path, {
    d: "M2 15.5l10-7 10 7M12 2v6.5"
  }));
};

export default Codepen;