function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path, Circle } from 'svgs'; // internal imports

var Percent = function Percent(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-percent"
  }, props.style), React.createElement(Path, {
    d: "M19 5L5 19"
  }), React.createElement(Circle, {
    cx: 6.5,
    cy: 6.5,
    r: 2.5
  }), React.createElement(Circle, {
    cx: 17.5,
    cy: 17.5,
    r: 2.5
  }));
};

export default Percent;