function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path, Circle } from 'svgs'; // internal imports

var Voicemail = function Voicemail(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-voicemail"
  }, props.style), React.createElement(Circle, {
    cx: 5.5,
    cy: 11.5,
    r: 4.5
  }), React.createElement(Circle, {
    cx: 18.5,
    cy: 11.5,
    r: 4.5
  }), React.createElement(Path, {
    d: "M5.5 16h13"
  }));
};

export default Voicemail;