function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// external imports
import React from 'react';
import { View, StyleSheet } from 'react-native'; // local imports

import { grey1, grey5, primaryColor, baseDim } from 'quark-core/styles';
import { text, h3 } from 'quark-core/styles';
import { SecondaryButton } from '../../buttons';

var BreadcrumbChild = function BreadcrumbChild(_ref) {
  var active = _ref.active,
      unused = _objectWithoutProperties(_ref, ["active"]);

  return React.createElement(SecondaryButton, _extends({
    textColor: active ? primaryColor : grey5,
    defaultColor: "white",
    activeColor: grey1,
    textStyle: text
  }, unused));
};

var styles = StyleSheet.create({
  text: _extends({}, h3, {
    marginLeft: 0,
    marginRight: 0,
    fontSize: 20
  }),
  button: {
    paddingLeft: 2 * baseDim,
    paddingRight: 2 * baseDim
  }
});
export default BreadcrumbChild;