function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// external imports
import * as React from 'react'; // local imports

import FreeState from '../Free';

var BooleanState = function BooleanState(_ref) {
  var children = _ref.children,
      unused = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(FreeState, unused, function (_ref2) {
    var state = _ref2.state,
        set = _ref2.set;
    return React.Children.only(children({
      state: state,
      set: function (_set) {
        function set(_x) {
          return _set.apply(this, arguments);
        }

        set.toString = function () {
          return _set.toString();
        };

        return set;
      }(function (val) {
        return set(Boolean(val));
      }),
      toggle: function toggle() {
        return set(!state);
      }
    }));
  });
};

export default BooleanState;