function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// external imports
import React from 'react'; // local imports

import { GetTheme } from 'quark-core';
import BaseWithText from '../Text';

var Button = function Button(_ref) {
  var style = _ref.style,
      unused = _objectWithoutProperties(_ref, ["style"]);

  return React.createElement(GetTheme, null, function (_ref2) {
    var white = _ref2.white,
        grey1 = _ref2.grey1,
        grey5 = _ref2.grey5;
    return React.createElement(BaseWithText, _extends({
      defaultColor: white,
      activeColor: grey1,
      textColor: grey5,
      style: _extends({}, style, {
        borderColor: grey5,
        borderWidth: 1
      })
    }, unused));
  });
};

export default Button;