function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react'; // local imports

import { GetTheme } from 'quark-core';
import BaseWithText from '../Text';

var Button = function Button(props) {
  return React.createElement(GetTheme, null, function (_ref) {
    var primaryColor = _ref.primaryColor,
        primaryColorDark = _ref.primaryColorDark,
        white = _ref.white,
        grey2 = _ref.grey2;
    return React.createElement(BaseWithText, _extends({
      defaultColor: primaryColor,
      activeColor: primaryColorDark,
      disabledColor: grey2,
      textColor: white
    }, props));
  });
};

export default Button;