function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// external imports
import React from 'react'; // local imports

import Base from '../Base';
import { Text } from '../../typography';
import { textSizes } from '../styles';

var ButtonWithText = function ButtonWithText(_ref) {
  var size = _ref.size,
      textColor = _ref.textColor,
      textStyle = _ref.textStyle,
      children = _ref.children,
      unused = _objectWithoutProperties(_ref, ["size", "textColor", "textStyle", "children"]);

  return React.createElement(Base, _extends({
    size: size
  }, unused, {
    textColor: textColor
  }), React.createElement(Text, {
    style: _extends({}, textSizes[size], {
      color: textColor
    }, textStyle)
  }, children));
};

ButtonWithText.defaultProps = {
  size: 'medium'
};
export default ButtonWithText;