function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path } from 'svgs'; // internal imports

var Repeat = function Repeat(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-repeat"
  }, props.style), React.createElement(Path, {
    d: "M17 1l4 4-4 4"
  }), React.createElement(Path, {
    d: "M3 11V9a4 4 0 0 1 4-4h14M7 23l-4-4 4-4"
  }), React.createElement(Path, {
    d: "M21 13v2a4 4 0 0 1-4 4H3"
  }));
};

export default Repeat;