function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// external imports
import React from 'react';
import { Svg, Path, Circle } from 'svgs'; // internal imports

var Share2 = function Share2(props) {
  return React.createElement(Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-share-2"
  }, props.style), React.createElement(Circle, {
    cx: 18,
    cy: 5,
    r: 3
  }), React.createElement(Circle, {
    cx: 6,
    cy: 12,
    r: 3
  }), React.createElement(Circle, {
    cx: 18,
    cy: 19,
    r: 3
  }), React.createElement(Path, {
    d: "M8.59 13.51l6.83 3.98M15.41 6.51l-6.82 3.98"
  }));
};

export default Share2;