// external imports
import * as React from 'react';
import PropTypes from 'prop-types'; // local imports

import { defaultTheme } from '../Theme';

var GetTheme = function GetTheme(props, _ref) {
  var _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? defaultTheme : _ref$theme;
  return props.children(theme);
};

GetTheme.contextTypes = {
  theme: PropTypes.object
};
export default GetTheme;