function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { baseDim } from './dims';
import { grey5, primaryColor } from './colors';
export var primaryFont = {
  fontWeight: '300',
  lineHeight: '1.3',
  fontFamily: '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"',
  color: grey5
};
export var h1 = _extends({}, primaryFont, {
  fontSize: 23,
  fontWeight: '500'
});
export var h2 = _extends({}, primaryFont, {
  fontSize: 20,
  fontWeight: '500'
});
export var h3 = _extends({}, primaryFont, {
  fontSize: 18,
  fontWeight: '500'
});
export var title = _extends({}, primaryFont, {
  fontWeight: '500',
  fontSize: 16
});
export var subtitle = _extends({}, primaryFont, {
  fontWeight: '500',
  fontSize: 14
});
export var text = _extends({}, primaryFont, {
  fontSize: 14
});
export var link = _extends({}, primaryFont, {
  fontSize: 14
});
export var linkActive = _extends({}, primaryFont, link);
export var monospace = _extends({}, primaryFont, {
  fontFamily: 'monospace'
});